unit Unit_Mode;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, NumEdit;

type
  TModeDlg = class(TForm)
    SelectMode: TRadioGroup;
    E_IP: TEdit;
    L_IP: TLabel;
    E_Port: TNumEdit;
    L_Port: TLabel;
    E_UsrN: TEdit;
    L_UsrN: TLabel;
    B_Cnct: TButton;
    B_Cnsl: TButton;
    procedure KeyPressLimit1(Sender: TObject; var Key: Char);
    procedure KeyPressLimit2(Sender: TObject; var Key: Char);
    procedure B_CnslClick(Sender: TObject);
    procedure B_CnctClick(Sender: TObject);
    procedure E_UsrNExit(Sender: TObject);
    procedure E_UsrNKeyPress(Sender: TObject; var Key: Char);
  private
    { Private 錾 }
  public
    { Public 錾 }
    ModeSelect: Boolean;
  end;

var
  ModeDlg: TModeDlg;

implementation

uses Unit_Main;

{$R *.dfm}

procedure TModeDlg.KeyPressLimit1(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9', #08]) then // ̓L['0'`'9',BackSpace/Delete ȊOȂ
  begin
    beep;
    Key := #0; // ͂𖳎
  end;
end;

procedure TModeDlg.KeyPressLimit2(Sender: TObject; var Key: Char);
begin
  if not (Key in ['0'..'9', '.', #08]) then // ̓L['0'`'9','.',BackSpace/Delete ȊOȂ
  begin
    beep;
    Key := #0; // ͂𖳎
  end;
end; // IPAhX͗p'.'ǉB

procedure TModeDlg.B_CnslClick(Sender: TObject);
begin
  ModeSelect := False;
  ModeDlg.Close;
end;

procedure TModeDlg.B_CnctClick(Sender: TObject);
begin
  ModeSelect := True;
  ModeDlg.Close;
end;

procedure TModeDlg.E_UsrNExit(Sender: TObject);
begin
  Main.E_UsrN.Text := E_UsrN.Text;
end;

procedure TModeDlg.E_UsrNKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    E_UsrN.OnExit(Sender);
  end;
end;

end.
